routes/admin.php
<?php

use App\Http\Controllers\Admin\DashboardController;
use App\Http\Controllers\Admin\ProfileController;
use App\Http\Controllers\Admin\UserController;
use App\Http\Controllers\Admin\RoleController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Admin Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web,verified,is_admin" middleware group and "admin." name.
| Now create something great!
|
*/

Route::get('dashboard', [DashboardController::class,'index'])->name('dashboard');

Route::resource('users', UserController::class);

Route::post('add-roles/{role}',[RoleController::class,'addRolesToAdmins']);
Route::resource('roles', RoleController::class);

Route::resource('profile', ProfileController::class)->parameters([
    'profile' => 'user'
])->only(['show','edit','update'])->middleware('me');

routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/dashboard', function () {
    return view('dashboard');
})->middleware(['auth'])->name('dashboard');

require __DIR__.'/auth.php';

app/Http/Controllers/Admin/ProfileController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Storage;
use Illuminate\Validation\Rules;

class ProfileController extends Controller
{
    public function show(User $user)
    {
        return view('admin.profile.show',compact('user'));
    }

    public function edit(User $user)
    {
        return view('admin.profile.edit',compact('user'));
    }

    public function update(Request $request,User $user)
    {
        $request->validate([
            "email" => "required|string|email|max:255",
            "name" => "required|string|max:255",
            "photo" => "nullable|image",
            'password' => ['nullable', Rules\Password::defaults()],
        ]);

        $photo = $request->file('photo');

        if($photo)
        {
            if($user->photo) Storage::disk('public')->delete($user->photo);

            $user->photo = $photo->store('users/profile','public');
            $user->save();
        }

        if($request->input('password'))
        {
            $user->password = Hash::make($request->password);
            $user->save();
        }


        $user->update([
            "email"     => $request->input('email'),
            "name"      => $request->input('name'),
        ]);


        return back()->with('success', 'پروفایل با موفقیت ویرایش شد.');
    }
}

resources/views/admin/profile/edit.blade.php
<x-admin.layouts>

    <div class="row">
        <div class="col-md-12">
            <div class="card stacked-form">
                <div class="card-header d-flex justify-content-start align-items-center">
                    <img src="{{ $user->photo ? asset('storage/' . $user->photo) : asset('profile.png') }}"  height="64" width="64" class="rounded-circle mx-2" alt="">
                    <h4 class="card-title">ویرایش پروفایل </h4>
                </div>
                <div class="card-body ">
                    <form method="POST" action="{{ route('admin.profile.update',$user) }}" enctype="multipart/form-data">
                        @csrf
                        @method('patch')
                        <div class="form-row">
                            <div class="form-group col-md-6 @error('name') has-error @enderror">
                                <label>نام</label>
                                <input type="text" name="name" class="form-control" value="{{ $user->name }}">
                                @error('name')
                                    <label class="error" for="name">{{ $message }}</label>
                                @enderror
                            </div>
                            <div class="form-group col-md-6 @error('email') has-error @enderror">
                                <label>ایمیل</label>
                                <input type="email" name="email" class="form-control" value="{{ $user->email }}">
                                @error('email')
                                    <label class="error" for="name">{{ $message }}</label>
                                @enderror
                            </div>
                        </div>


                        <div class="form-row">

                            <div class="form-group col-md-6 @error('photo') has-error @enderror">
                                <label>عکس پروفایل</label>
                                <input type="file" name="photo" class="form-control">
                                @error('photo')
                                    <label class="error" for="name">{{ $message }}</label>
                                @enderror
                            </div>

                            <div class="form-group col-md-6 @error('password') has-error @enderror">
                                <label>رمز عبور</label>
                                <input type="password" name="password" class="form-control">
                                @error('password')
                                    <label class="error" for="password">{{ $message }}</label>
                                @enderror
                            </div>
                        </div>

                        <div class="form-group text-right">
                            <button type="submit" class="btn btn-fill btn-info">ثبت</button>
                        </div>
                    </form>
                </div>

            </div>
        </div>
        @push('scripts')
            @if (session()->has('success'))
            <script>
                swal("پیام موفقیت!", "{{ session('success') }}", "success")
            </script>
            @endif
        @endpush
    </div>
</x-admin.layouts>

resources/views/admin/profile/show.blade.php
<x-admin.layouts>

    <div class="row">
        <div class="col-lg-6">
            <div class="card stacked-form">
                <div class="card-title">
                    <div class="card-header d-flex justify-content-start align-items-center">
                        <img src="{{ $user->photo ? asset('storage/' . $user->photo) : asset('profile.png') }}"  height="64" width="64" class="rounded-circle mx-2" alt="">
                        <h4>پروفایل من</h4>
                    </div>
                </div>
                <div class="card-body ">
                    <table class="table table-hover">
                        <thead>
                            <tr>
                                <th></th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td style="width: 100px;">نام</td>
                                <td>{{ $user->name }}</td>
                            </tr>
                            <tr>
                                <td style="width: 100px;">ایمیل</td>
                                <td>{{ $user->email }}</td>
                            </tr>
                            <tr>
                                <td style="width: 100px;">سطح</td>
                                <td>{{ $user->level === 'admin' ? 'ادمین' : 'عادی' }}</td>
                            </tr>
                            <tr>
                                <td style="width: 100px;"> نقش ها</td>
                                <td>
                                    @foreach ($user->roles as $role)
                                    <span class="badge m-1 p-2 badge-info ">{{ $role->fa_title }} ({{ $role->title }})</span>
                                    @endforeach
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>

            </div>
        </div>
    </div>
</x-admin.layouts>